package com.example.ljgscancode.viewmodel

import androidx.lifecycle.*
import com.example.ljgscancode.ApiService
import com.example.ljgscancode.model.Product
import kotlinx.coroutines.launch
import java.lang.Exception

class ProductListViewModel : ViewModel() {
    private var mutableLiveData = MutableLiveData<List<Product>>()

    fun getData():LiveData<List<Product>> {
        return mutableLiveData
    }

    fun initData(){
        viewModelScope.launch {
            try {
                val resultCall = ApiService.instance.apiService.listProduct()
                mutableLiveData.value = resultCall.data ?: ArrayList()
            }catch (e:Exception){
                e.printStackTrace()
            }
        }
    }


}